DLV-ATTACH(1)

NAME

dlv-attach - Attach to running process and begin debugging.

SYNOPSIS

dlv attach pid [executable] [flags]

DESCRIPTION

Attach to an already running process and begin debugging it.

This command will cause Delve to take control of an already running process, and begin a new debug session. When exiting the debug session you will have the option to let the process continue or kill it.

OPTIONS

--continue[=false]
    Continue the debugged process on start.

-h, --help[=false]
    help for attach

--waitfor=""
    Wait for a process with a name beginning with this prefix

--waitfor-duration=0
    Total time to wait for a process

--waitfor-interval=1
    Interval between checks of the process list, in millisecond

OPTIONS INHERITED FROM PARENT COMMANDS

--accept-multiclient[=false]
    Allows a headless server to accept multiple client connections via JSON-RPC or DAP.

--allow-non-terminal-interactive[=false]
    Allows interactive sessions of Delve that don't have a terminal as stdin, stdout and stderr

--api-version=2
    Selects JSON-RPC API version when headless. The only valid value is 2. Can be reset via RPCServer.SetApiVersion. See Documentation/api/json-rpc/README.md.

--backend="default"
    Backend selection (see 'dlv help backend').

--build-flags=""
    Build flags, to be passed to the compiler. For example: --build-flags="-tags=integration -mod=vendor -cover -v"

--check-go-version[=true]
    Exits if the version of Go in use is not compatible (too old or too new) with the version of Delve.

--disable-aslr[=false]
    Disables address space randomization

--headless[=false]
    Run debug server only, in headless mode. Server will accept both JSON-RPC or DAP client connections.

--init=""
    Init file, executed by the terminal client.

-l, --listen="127.0.0.1:0"
    Debugging server listen address. Prefix with 'unix:' to use a unix domain socket.

--log[=false]
    Enable debugging server logging.

--log-dest=""
    Writes logs to the specified file or file descriptor (see 'dlv help log').

--log-output=""
    Comma separated list of components that should produce debug output (see 'dlv help log')

--only-same-user[=true]
    Only connections from the same user that started this instance of Delve are allowed to connect.

-r, --redirect=[]
    Specifies redirect rules for target process (see 'dlv help redirect')

--wd=""
    Working directory for running the program.

SEE ALSO

dlv(1)